%define modname gmagick
%define dirname %{modname}
%define soname %{modname}.so
%define inifile B01_%{modname}.ini

Summary:	Provides a wrapper to the GraphicsMagick library
Name:		php-%{modname}
Version:	1.0.3
Release:	%mkrel 0.0.b5.1
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/gmagick/
Source0:	http://pecl.php.net/get/%{modname}-%{version}b5.tgz
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	graphicsmagick-devel >= 1.0.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Gmagick is a php extension to create, modify and obtain meta information of
images using the GraphicsMagick API. This extension requires GraphicsMagick
version 1.2.6+ and PHP 5.1.3+.

%prep

%setup -q -n %{modname}-%{version}b5
[ "../package*.xml" != "/" ] && mv ../package*.xml .

find -type f | xargs chmod 644

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README package*.xml 
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}



%changelog
* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-0.0.b5.1mdv2010.1
+ Revision: 514509
- fix versioning

* Sun Feb 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.3b5-1mdv2010.1
+ Revision: 505840
- 1.0.3b5

* Sun Jan 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.3b3-1mdv2010.1
+ Revision: 495451
- 1.0.3b3

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.3b2-2mdv2010.1
+ Revision: 485363
- rebuilt for php-5.3.2RC1

* Sat Dec 19 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.3b2-1mdv2010.1
+ Revision: 480116
- 1.0.3b2

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.1b1-2mdv2010.1
+ Revision: 468169
- rebuilt against php-5.3.1

* Sat Oct 03 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.1b1-1mdv2010.0
+ Revision: 452908
- import php-gmagick


* Sat Oct 03 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.1b1-1mdv2010.0
- initial Mandriva package
